Bug 512101 (CVE-2009-1896) - CVE-2009-1896 openjdk/netx grants privileges for signed jars to bundled unsigned jars
Summary: CVE-2009-1896 openjdk/netx grants privileges for signed jars to bundled unsig...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1896
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=redhat,public...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 10:37 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:42:19 UTC


Attachments (Terms of Use)

Comment 3 Marc Schoenefeld 2009-08-06 15:01:48 UTC
The WebStart (javaws) that ships with IcedTea in Fedora has a  flaw 
in its security model, which allows it to run unsigned code as signed under 
some cases.

What happens is that the current NetX code assumes that the entire
application is trusted if any of the listed jars are. This means that if
someone puts a signed jar whose cert has already been permanently
accepted, NetX will run the untrusted code as trusted, too.

Comment 4 Fedora Update System 2009-08-07 04:59:46 UTC
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-08-07 05:02:33 UTC
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.